#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_skin.interfaces.viewlet import IMainMenusViewletManager
from pyams_utils.interfaces import VIEW_SYSTEM_PERMISSION, MANAGE_SYSTEM_PERMISSION
from pyams_zmi.interfaces.menu import ISiteManagementMenu, IControlPanelMenu, IContentManagementMenu
from pyams_zmi.layer import IAdminLayer

# import packages
from pyams_skin.viewlet.menu import Menu
from pyams_viewlet.manager import viewletmanager_config
from pyams_viewlet.viewlet import viewlet_config
from zope.interface import implementer

from pyams_zmi import _


@viewlet_config(name='content.menu', layer=IAdminLayer, manager=IMainMenusViewletManager,
                permission=VIEW_SYSTEM_PERMISSION, weight=1)
@viewletmanager_config(name='content.menu', layer=IAdminLayer, provides=IContentManagementMenu)
@implementer(IContentManagementMenu)
class ContentManagementMenu(Menu):
    """Content management menu"""

    _header = _("Content management")


@viewlet_config(name='manage.menu', layer=IAdminLayer, manager=IMainMenusViewletManager,
                permission=VIEW_SYSTEM_PERMISSION, weight=100)
@viewletmanager_config(name='manage.menu', layer=IAdminLayer, provides=ISiteManagementMenu)
@implementer(ISiteManagementMenu)
class SiteManagementMenu(Menu):
    """Site management menu"""

    _header = _("Site management")


@viewlet_config(name='control-panel.menu', layer=IAdminLayer, manager=IMainMenusViewletManager,
                permission=VIEW_SYSTEM_PERMISSION, weight=9999)
@viewletmanager_config(name='control-panel.menu', layer=IAdminLayer, provides=IControlPanelMenu)
@implementer(IControlPanelMenu)
class ControlPanelMenu(Menu):
    """Control panel menu"""

    _header = _("Control panel")
